{{- if .Values.common.secretEnv }}
apiVersion: v1
kind: Secret
metadata:
  name: {{ include "application.name" . }}-env
  labels:
    {{- include "application.labels" . | nindent 4 }}
    {{- with .Values.common.labels }}{{- toYaml . | nindent 4 }}{{- end }}
type: Opaque
data:
{{- range $key, $value := .Values.common.secretEnv }}
  {{ $key }}: {{ $value | b64enc | quote }}
{{- end }}
{{- end }}
